package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.NumericField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Integer;
import java.lang.Long;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdCompanyDocument$ {
  public static Field hasLonLatFlag;

  public static Field legal;

  public static Field superviseRegionCode;

  public static Field id;

  public static Field resourceTypes;

  public static Field lonLat;

  public static Field legalTelephone;

  public static Field institutional;

  public static Field countOfSecurityMan;

  public static Field industry;

  public static Field countOfActivityStation;

  public static Field keyword;

  public static Field countOfDesk;

  public static Field superviseDepartName;

  public static Field registerAddress;

  public static Field organizationId;

  public static Field name;

  public static Field points;

  public static Field countOfMan;

  public static Field serviceScope;

  public static Field scopePermissions;

  public static Field followedDeviceNos;

  public static Field businessAddress;

  public static Field superviseDepartId;

  public static Field countOfTemporaryProject;

  public static NumericField<RdCompanyDocument, Integer> HAS_LON_LAT_FLAG;

  public static NonIndexedTextField<RdCompanyDocument, String> LEGAL;

  public static NonIndexedTextField<RdCompanyDocument, String> SUPERVISE_REGION_CODE;

  public static TextTagField<RdCompanyDocument, String> ID;

  public static TagField<RdCompanyDocument, Set<String>> RESOURCE_TYPES;

  public static GeoField<RdCompanyDocument, Point> LON_LAT;

  public static NonIndexedTextField<RdCompanyDocument, String> LEGAL_TELEPHONE;

  public static TextTagField<RdCompanyDocument, String> INSTITUTIONAL;

  public static NonIndexedNumericField<RdCompanyDocument, Long> COUNT_OF_SECURITY_MAN;

  public static NonIndexedTextField<RdCompanyDocument, String> INDUSTRY;

  public static NonIndexedNumericField<RdCompanyDocument, Long> COUNT_OF_ACTIVITY_STATION;

  public static TextField<RdCompanyDocument, String> KEYWORD;

  public static NumericField<RdCompanyDocument, Integer> COUNT_OF_DESK;

  public static NonIndexedTextField<RdCompanyDocument, String> SUPERVISE_DEPART_NAME;

  public static TextTagField<RdCompanyDocument, String> REGISTER_ADDRESS;

  public static TextTagField<RdCompanyDocument, String> ORGANIZATION_ID;

  public static TextTagField<RdCompanyDocument, String> NAME;

  public static NumericField<RdCompanyDocument, Long> POINTS;

  public static NonIndexedNumericField<RdCompanyDocument, Long> COUNT_OF_MAN;

  public static NonIndexedTextField<RdCompanyDocument, String> SERVICE_SCOPE;

  public static TagField<RdCompanyDocument, Set<String>> SCOPE_PERMISSIONS;

  public static TagField<RdCompanyDocument, Set<String>> FOLLOWED_DEVICE_NOS;

  public static TextTagField<RdCompanyDocument, String> BUSINESS_ADDRESS;

  public static TextTagField<RdCompanyDocument, String> SUPERVISE_DEPART_ID;

  public static NonIndexedNumericField<RdCompanyDocument, Long> COUNT_OF_TEMPORARY_PROJECT;

  public static MetamodelField<RdCompanyDocument, String> _KEY;

  static {
    try {
      hasLonLatFlag = RdCompanyDocument.class.getDeclaredField("hasLonLatFlag");
      legal = RdCompanyDocument.class.getDeclaredField("legal");
      superviseRegionCode = RdCompanyDocument.class.getDeclaredField("superviseRegionCode");
      id = RdCompanyDocument.class.getDeclaredField("id");
      resourceTypes = RdCompanyDocument.class.getDeclaredField("resourceTypes");
      lonLat = RdCompanyDocument.class.getDeclaredField("lonLat");
      legalTelephone = RdCompanyDocument.class.getDeclaredField("legalTelephone");
      institutional = RdCompanyDocument.class.getDeclaredField("institutional");
      countOfSecurityMan = RdCompanyDocument.class.getDeclaredField("countOfSecurityMan");
      industry = RdCompanyDocument.class.getDeclaredField("industry");
      countOfActivityStation = RdCompanyDocument.class.getDeclaredField("countOfActivityStation");
      keyword = RdCompanyDocument.class.getDeclaredField("keyword");
      countOfDesk = RdCompanyDocument.class.getDeclaredField("countOfDesk");
      superviseDepartName = RdCompanyDocument.class.getDeclaredField("superviseDepartName");
      registerAddress = RdCompanyDocument.class.getDeclaredField("registerAddress");
      organizationId = RdCompanyDocument.class.getDeclaredField("organizationId");
      name = RdCompanyDocument.class.getDeclaredField("name");
      points = RdCompanyDocument.class.getDeclaredField("points");
      countOfMan = RdCompanyDocument.class.getDeclaredField("countOfMan");
      serviceScope = RdCompanyDocument.class.getDeclaredField("serviceScope");
      scopePermissions = RdCompanyDocument.class.getDeclaredField("scopePermissions");
      followedDeviceNos = RdCompanyDocument.class.getDeclaredField("followedDeviceNos");
      businessAddress = RdCompanyDocument.class.getDeclaredField("businessAddress");
      superviseDepartId = RdCompanyDocument.class.getDeclaredField("superviseDepartId");
      countOfTemporaryProject = RdCompanyDocument.class.getDeclaredField("countOfTemporaryProject");
      HAS_LON_LAT_FLAG = new NumericField<RdCompanyDocument, Integer>(new SearchFieldAccessor("hasLonLatFlag", hasLonLatFlag),true);
      LEGAL = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("legal", legal),false);
      SUPERVISE_REGION_CODE = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("superviseRegionCode", superviseRegionCode),false);
      ID = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("id", id),true);
      RESOURCE_TYPES = new TagField<RdCompanyDocument, Set<String>>(new SearchFieldAccessor("resourceTypes", resourceTypes),true);
      LON_LAT = new GeoField<RdCompanyDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      LEGAL_TELEPHONE = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("legalTelephone", legalTelephone),false);
      INSTITUTIONAL = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("institutional", institutional),true);
      COUNT_OF_SECURITY_MAN = new NonIndexedNumericField<RdCompanyDocument, Long>(new SearchFieldAccessor("countOfSecurityMan", countOfSecurityMan),false);
      INDUSTRY = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("industry", industry),false);
      COUNT_OF_ACTIVITY_STATION = new NonIndexedNumericField<RdCompanyDocument, Long>(new SearchFieldAccessor("countOfActivityStation", countOfActivityStation),false);
      KEYWORD = new TextField<RdCompanyDocument, String>(new SearchFieldAccessor("keyword", keyword),true);
      COUNT_OF_DESK = new NumericField<RdCompanyDocument, Integer>(new SearchFieldAccessor("countOfDesk", countOfDesk),true);
      SUPERVISE_DEPART_NAME = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("superviseDepartName", superviseDepartName),false);
      REGISTER_ADDRESS = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("registerAddress", registerAddress),true);
      ORGANIZATION_ID = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("organizationId", organizationId),true);
      NAME = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("name", name),true);
      POINTS = new NumericField<RdCompanyDocument, Long>(new SearchFieldAccessor("points", points),true);
      COUNT_OF_MAN = new NonIndexedNumericField<RdCompanyDocument, Long>(new SearchFieldAccessor("countOfMan", countOfMan),false);
      SERVICE_SCOPE = new NonIndexedTextField<RdCompanyDocument, String>(new SearchFieldAccessor("serviceScope", serviceScope),false);
      SCOPE_PERMISSIONS = new TagField<RdCompanyDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      FOLLOWED_DEVICE_NOS = new TagField<RdCompanyDocument, Set<String>>(new SearchFieldAccessor("followedDeviceNos", followedDeviceNos),true);
      BUSINESS_ADDRESS = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("businessAddress", businessAddress),true);
      SUPERVISE_DEPART_ID = new TextTagField<RdCompanyDocument, String>(new SearchFieldAccessor("superviseDepartId", superviseDepartId),true);
      COUNT_OF_TEMPORARY_PROJECT = new NonIndexedNumericField<RdCompanyDocument, Long>(new SearchFieldAccessor("countOfTemporaryProject", countOfTemporaryProject),false);
      _KEY = new MetamodelField<RdCompanyDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
