package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdDeviceDocument$ {
  public static Field dispatchNo;

  public static Field lonLat;

  public static Field deviceNo;

  public static Field securityStationId;

  public static Field scopePermissions;

  public static Field proprietorCompanyId;

  public static Field deviceUid;

  public static Field organizationName;

  public static Field securityStationName;

  public static Field resourceTypes;

  public static Field id;

  public static Field deviceModel;

  public static Field keyword;

  public static Field organizationId;

  public static Field proprietorCompanyName;

  public static TextTagField<RdDeviceDocument, String> DISPATCH_NO;

  public static GeoField<RdDeviceDocument, Point> LON_LAT;

  public static NonIndexedTextField<RdDeviceDocument, String> DEVICE_NO;

  public static TextTagField<RdDeviceDocument, String> SECURITY_STATION_ID;

  public static TagField<RdDeviceDocument, Set<String>> SCOPE_PERMISSIONS;

  public static NonIndexedTextField<RdDeviceDocument, String> PROPRIETOR_COMPANY_ID;

  public static NonIndexedTextField<RdDeviceDocument, String> DEVICE_UID;

  public static NonIndexedTextField<RdDeviceDocument, String> ORGANIZATION_NAME;

  public static NonIndexedTextField<RdDeviceDocument, String> SECURITY_STATION_NAME;

  public static TagField<RdDeviceDocument, Set<String>> RESOURCE_TYPES;

  public static TextTagField<RdDeviceDocument, String> ID;

  public static NonIndexedTextField<RdDeviceDocument, String> DEVICE_MODEL;

  public static TextField<RdDeviceDocument, String> KEYWORD;

  public static TextTagField<RdDeviceDocument, String> ORGANIZATION_ID;

  public static NonIndexedTextField<RdDeviceDocument, String> PROPRIETOR_COMPANY_NAME;

  public static MetamodelField<RdDeviceDocument, String> _KEY;

  static {
    try {
      dispatchNo = RdDeviceDocument.class.getDeclaredField("dispatchNo");
      lonLat = RdDeviceDocument.class.getDeclaredField("lonLat");
      deviceNo = RdDeviceDocument.class.getDeclaredField("deviceNo");
      securityStationId = RdDeviceDocument.class.getDeclaredField("securityStationId");
      scopePermissions = RdDeviceDocument.class.getDeclaredField("scopePermissions");
      proprietorCompanyId = RdDeviceDocument.class.getDeclaredField("proprietorCompanyId");
      deviceUid = RdDeviceDocument.class.getDeclaredField("deviceUid");
      organizationName = RdDeviceDocument.class.getDeclaredField("organizationName");
      securityStationName = RdDeviceDocument.class.getDeclaredField("securityStationName");
      resourceTypes = RdDeviceDocument.class.getDeclaredField("resourceTypes");
      id = RdDeviceDocument.class.getDeclaredField("id");
      deviceModel = RdDeviceDocument.class.getDeclaredField("deviceModel");
      keyword = RdDeviceDocument.class.getDeclaredField("keyword");
      organizationId = RdDeviceDocument.class.getDeclaredField("organizationId");
      proprietorCompanyName = RdDeviceDocument.class.getDeclaredField("proprietorCompanyName");
      DISPATCH_NO = new TextTagField<RdDeviceDocument, String>(new SearchFieldAccessor("dispatchNo", dispatchNo),true);
      LON_LAT = new GeoField<RdDeviceDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      DEVICE_NO = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("deviceNo", deviceNo),false);
      SECURITY_STATION_ID = new TextTagField<RdDeviceDocument, String>(new SearchFieldAccessor("securityStationId", securityStationId),true);
      SCOPE_PERMISSIONS = new TagField<RdDeviceDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      PROPRIETOR_COMPANY_ID = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("proprietorCompanyId", proprietorCompanyId),false);
      DEVICE_UID = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("deviceUid", deviceUid),false);
      ORGANIZATION_NAME = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("organizationName", organizationName),false);
      SECURITY_STATION_NAME = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("securityStationName", securityStationName),false);
      RESOURCE_TYPES = new TagField<RdDeviceDocument, Set<String>>(new SearchFieldAccessor("resourceTypes", resourceTypes),true);
      ID = new TextTagField<RdDeviceDocument, String>(new SearchFieldAccessor("id", id),true);
      DEVICE_MODEL = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("deviceModel", deviceModel),false);
      KEYWORD = new TextField<RdDeviceDocument, String>(new SearchFieldAccessor("keyword", keyword),true);
      ORGANIZATION_ID = new TextTagField<RdDeviceDocument, String>(new SearchFieldAccessor("organizationId", organizationId),true);
      PROPRIETOR_COMPANY_NAME = new NonIndexedTextField<RdDeviceDocument, String>(new SearchFieldAccessor("proprietorCompanyName", proprietorCompanyName),false);
      _KEY = new MetamodelField<RdDeviceDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
