package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Integer;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdProjectDocument$ {
  public static Field state;

  public static Field principalName;

  public static Field lonLat;

  public static Field id;

  public static Field name;

  public static Field organizationId;

  public static Field countOfStations;

  public static Field companyName;

  public static Field keyword;

  public static Field countOfTeams;

  public static Field beginDate;

  public static Field endDate;

  public static Field scopePermissions;

  public static Field principalId;

  public static Field countOfMembers;

  public static Field principalTelephone;

  public static NonIndexedTextField<RdProjectDocument, String> STATE;

  public static NonIndexedTextField<RdProjectDocument, String> PRINCIPAL_NAME;

  public static GeoField<RdProjectDocument, Point> LON_LAT;

  public static TextTagField<RdProjectDocument, String> ID;

  public static NonIndexedTextField<RdProjectDocument, String> NAME;

  public static NonIndexedTextField<RdProjectDocument, String> ORGANIZATION_ID;

  public static NonIndexedNumericField<RdProjectDocument, Integer> COUNT_OF_STATIONS;

  public static NonIndexedTextField<RdProjectDocument, String> COMPANY_NAME;

  public static TextField<RdProjectDocument, String> KEYWORD;

  public static NonIndexedNumericField<RdProjectDocument, Integer> COUNT_OF_TEAMS;

  public static NonIndexedTextField<RdProjectDocument, String> BEGIN_DATE;

  public static NonIndexedTextField<RdProjectDocument, String> END_DATE;

  public static TagField<RdProjectDocument, Set<String>> SCOPE_PERMISSIONS;

  public static NonIndexedTextField<RdProjectDocument, String> PRINCIPAL_ID;

  public static NonIndexedNumericField<RdProjectDocument, Integer> COUNT_OF_MEMBERS;

  public static NonIndexedTextField<RdProjectDocument, String> PRINCIPAL_TELEPHONE;

  public static MetamodelField<RdProjectDocument, String> _KEY;

  static {
    try {
      state = RdProjectDocument.class.getDeclaredField("state");
      principalName = RdProjectDocument.class.getDeclaredField("principalName");
      lonLat = RdProjectDocument.class.getDeclaredField("lonLat");
      id = RdProjectDocument.class.getDeclaredField("id");
      name = RdProjectDocument.class.getDeclaredField("name");
      organizationId = RdProjectDocument.class.getDeclaredField("organizationId");
      countOfStations = RdProjectDocument.class.getDeclaredField("countOfStations");
      companyName = RdProjectDocument.class.getDeclaredField("companyName");
      keyword = RdProjectDocument.class.getDeclaredField("keyword");
      countOfTeams = RdProjectDocument.class.getDeclaredField("countOfTeams");
      beginDate = RdProjectDocument.class.getDeclaredField("beginDate");
      endDate = RdProjectDocument.class.getDeclaredField("endDate");
      scopePermissions = RdProjectDocument.class.getDeclaredField("scopePermissions");
      principalId = RdProjectDocument.class.getDeclaredField("principalId");
      countOfMembers = RdProjectDocument.class.getDeclaredField("countOfMembers");
      principalTelephone = RdProjectDocument.class.getDeclaredField("principalTelephone");
      STATE = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("state", state),false);
      PRINCIPAL_NAME = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("principalName", principalName),false);
      LON_LAT = new GeoField<RdProjectDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      ID = new TextTagField<RdProjectDocument, String>(new SearchFieldAccessor("id", id),true);
      NAME = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("name", name),false);
      ORGANIZATION_ID = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("organizationId", organizationId),false);
      COUNT_OF_STATIONS = new NonIndexedNumericField<RdProjectDocument, Integer>(new SearchFieldAccessor("countOfStations", countOfStations),false);
      COMPANY_NAME = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("companyName", companyName),false);
      KEYWORD = new TextField<RdProjectDocument, String>(new SearchFieldAccessor("keyword", keyword),true);
      COUNT_OF_TEAMS = new NonIndexedNumericField<RdProjectDocument, Integer>(new SearchFieldAccessor("countOfTeams", countOfTeams),false);
      BEGIN_DATE = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("beginDate", beginDate),false);
      END_DATE = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("endDate", endDate),false);
      SCOPE_PERMISSIONS = new TagField<RdProjectDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      PRINCIPAL_ID = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("principalId", principalId),false);
      COUNT_OF_MEMBERS = new NonIndexedNumericField<RdProjectDocument, Integer>(new SearchFieldAccessor("countOfMembers", countOfMembers),false);
      PRINCIPAL_TELEPHONE = new NonIndexedTextField<RdProjectDocument, String>(new SearchFieldAccessor("principalTelephone", principalTelephone),false);
      _KEY = new MetamodelField<RdProjectDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
