package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Double;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdWorkstationDocument$ {
  public static Field address;

  public static Field displayName;

  public static Field performRange;

  public static Field scopePermissions;

  public static Field lonLat;

  public static Field id;

  public static NonIndexedTextField<RdWorkstationDocument, String> ADDRESS;

  public static NonIndexedTextField<RdWorkstationDocument, String> DISPLAY_NAME;

  public static NonIndexedNumericField<RdWorkstationDocument, Double> PERFORM_RANGE;

  public static TagField<RdWorkstationDocument, Set<String>> SCOPE_PERMISSIONS;

  public static GeoField<RdWorkstationDocument, Point> LON_LAT;

  public static TextTagField<RdWorkstationDocument, String> ID;

  public static MetamodelField<RdWorkstationDocument, String> _KEY;

  static {
    try {
      address = RdWorkstationDocument.class.getDeclaredField("address");
      displayName = RdWorkstationDocument.class.getDeclaredField("displayName");
      performRange = RdWorkstationDocument.class.getDeclaredField("performRange");
      scopePermissions = RdWorkstationDocument.class.getDeclaredField("scopePermissions");
      lonLat = RdWorkstationDocument.class.getDeclaredField("lonLat");
      id = RdWorkstationDocument.class.getDeclaredField("id");
      ADDRESS = new NonIndexedTextField<RdWorkstationDocument, String>(new SearchFieldAccessor("address", address),false);
      DISPLAY_NAME = new NonIndexedTextField<RdWorkstationDocument, String>(new SearchFieldAccessor("displayName", displayName),false);
      PERFORM_RANGE = new NonIndexedNumericField<RdWorkstationDocument, Double>(new SearchFieldAccessor("performRange", performRange),false);
      SCOPE_PERMISSIONS = new TagField<RdWorkstationDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      LON_LAT = new GeoField<RdWorkstationDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      ID = new TextTagField<RdWorkstationDocument, String>(new SearchFieldAccessor("id", id),true);
      _KEY = new MetamodelField<RdWorkstationDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
